Subject: bug#57604: [ef]grep usage -> POSIXLY_CORRECT?

From: Karl Berry <[email-masked]>
Date: Wed, 7 Sep 2022 16:35:17 -0600

[ef]grep

I guess my basic issue is that I don't understand the benefit of the new
warning.  It causes a lot of trouble.  What is the countervailing
positive benefit?

    $ grep '\Q' /dev/null
    grep: warning: stray \ before Q

It would be nice to be able to turn those off too. (It hit me today.)

Those warnings are even worse than [ef]grep in a way, since they are not
changeable just by editing the scripts, but built-in behavior.

    We've been moving away from environment variables like GREP_OPTIONS, 
    though, for security reasons. 

Personally, I don't see a security issue with the putative GREPWARNINGS?
Unlike GREP_OPTIONS, whose removal is understandable (though it sure was
convenient, alas). --karl